apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: run-as-any-psp
spec:  
  volumes:
    - '*'  
  runAsUser:
    rule: 'RunAsAny'
  seLinux:
    rule: 'RunAsAny'
  supplementalGroups:
    rule: 'RunAsAny'
  fsGroup:
    rule: 'RunAsAny'

---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  namespace: default
  name: psp:run-as-any
rules:
- apiGroups:
  - policy
  resourceNames:
  - run-as-any-psp
  resources:
  - podsecuritypolicies
  verbs:
  - use

---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: run-as-any-psp-nginx-sa
  namespace: default
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: psp:run-as-any  
subjects:
  - kind: ServiceAccount
    name: nginx-sa
    namespace: default

